<?php
$this->addCSSFromContext("templates/default/controllers/cropper/css/fontello.css");
$this->addCSSFromContext("templates/default/controllers/cropper/css/styles.css");
$this->addJSFromContext("templates/default/controllers/cropper/js/cropper.min.js");
$this->addJSFromContext("templates/default/controllers/cropper/js/jquery-cropper.min.js");
	$this->addJSFromContext( $this->getJavascriptFileName('fileuploader') );
	$this->addJSFromContext( $this->getJavascriptFileName('images-upload') );
	$this->addJSFromContext( 'templates/default/js/cropper.js?v=0.2.1' );
    $this->addCSSFromContext( $this->getStylesFileName('images') );
	$count_sizes = count($sizes);
?>
<div id="widget_image_<?php echo $dom_id; ?>" class="widget_image_single">

    <div class="data" style="display:none">
        <?php if ($is_image_exists) { ?>
            <?php foreach($paths as $type=>$path){ ?>
                <?php echo html_input('hidden', "{$name}[{$type}]", $path); ?>
            <?php } ?>
        <?php } ?>
    </div>

	<?php $x = 0; ?>
	<?php foreach($sizes as $size){ ?>
		<?php if($size === 'original'){ continue; } ?>
		<div id="widget_image_<?php echo $dom_id; ?>_preview_<?php echo $size; ?>" class="preview block" data-w="<?php echo $presets[$size]['width']; ?>" data-h="<?php echo $presets[$size]['height']; ?>" data-q="<?php echo $presets[$size]['quality']; ?>" data-c="<?php echo $count_sizes; ?>"<?php if(!$is_image_exists){ ?> style="display: none;"<?php } ?>>
			<strong class="title"><?php echo $presets[$size]['title']; ?></strong>
			<img src="<?php echo html_image_src($paths, $size, true); ?>" />
			<a href="javascript:" class="btn-edit-<?php echo $x; ?>" onclick="icms.cropper.edit('<?php echo $dom_id; ?>', '<?php echo $size; ?>')"><?php echo LANG_EDIT; ?></a>
		</div>
		<?php $x++; ?>
	<?php } ?>
	<div class="btn-delete"<?php if(!$is_image_exists){ ?> style="display: none;"<?php } ?>><a href="javascript:" onclick="icms.images.remove('<?php echo $dom_id; ?>')"><?php echo LANG_DELETE; ?></a></div>

    <div class="upload block" <?php if ($is_image_exists) { ?>style="display:none"<?php } ?>>
        <div id="file-uploader-<?php echo $dom_id; ?>"></div>
    </div>

    <div class="loading block" style="display:none">
        <?php echo LANG_LOADING; ?>
    </div>

    <?php if($allow_import_link){ ?>
        <div class="image_link upload block" <?php if ($is_image_exists) { ?>style="display:none"<?php } ?>>
            <span><?php echo LANG_OR; ?></span> <a class="input_link_block" href="#"><?php echo LANG_PARSER_ADD_FROM_LINK; ?></a>
        </div>
    <?php } ?>

    <script type="text/javascript">

        <?php echo $this->getLangJS('LANG_SELECT_UPLOAD', 'LANG_DROP_TO_UPLOAD', 'LANG_CANCEL', 'LANG_ERROR'); ?>

        $(document).ready(function(){
            icms.images.upload('<?php echo $dom_id; ?>', '<?php echo $upload_url; ?>');
            <?php if($allow_import_link){ ?>
                $('#widget_image_<?php echo $dom_id; ?> .image_link a').on('click', function (){
                    link = prompt('<?php echo LANG_PARSER_ENTER_IMAGE_LINK; ?>');
                    if(link){
                        icms.images.uploadByLink('<?php echo $dom_id; ?>', '<?php echo $upload_url; ?>', link);
                    }
                    return false;
                });
            <?php } ?>
        });

    </script>

</div>
	
	
	
	
	
	
	
	
<?php if(!defined('CROPPER_EDIT_ZONE')){ ?>
<?php define('CROPPER_EDIT_ZONE', 1); ?>

<div id="cropper-edit-zone-templ" style="display: none;">
<div id="cropper-edit-zone"
			data-udir="<?php echo cmsConfig::get('upload_root'); ?>"
			data-name=""
			data-size=""
			data-w=""
			data-h="">

	<div class="img-container">
		<img style="max-height: 80vh; max-width: 90vw; width: 600px; height: 500px;" class="image" src="" alt="">
	</div>

	<input type="hidden" value="" class="dataX">
	<input type="hidden" value="" class="dataY">
	<input type="hidden" value="" class="dataWidth">
	<input type="hidden" value="" class="dataHeight">
	<input type="hidden" value="" class="dataRotate">
	<input type="hidden" value="" class="dataScaleX">
	<input type="hidden" value="" class="dataScaleY">

	<div class="docs-buttons">

		<button type="button" class="btn btn-secondary" data-method="zoom" data-option="0.1" title="Zoom In">
			<span class="docs-tooltip" data-toggle="tooltip" data-animation="false" title="$().cropper(&quot;zoom&quot;, 0.1)">
				<span class="icon-zoom-in"></span>
			</span>
		</button>

		<button type="button" class="btn btn-secondary" data-method="zoom" data-option="-0.1" title="Zoom Out">
			<span class="docs-tooltip" data-toggle="tooltip" data-animation="false" title="$().cropper(&quot;zoom&quot;, -0.1)">
				<span class="icon-zoom-out"></span>
			</span>
		</button>

		<button type="button" class="btn btn-secondary" data-method="move" data-option="-10" data-second-option="0" title="Move Left">
			<span class="docs-tooltip" data-toggle="tooltip" data-animation="false" title="$().cropper(&quot;move&quot;, -10, 0)">
				<span class="icon-left-big"></span>
			</span>
		</button>

		<button type="button" class="btn btn-secondary" data-method="move" data-option="10" data-second-option="0" title="Move Right">
			<span class="docs-tooltip" data-toggle="tooltip" data-animation="false" title="$().cropper(&quot;move&quot;, 10, 0)">
				<span class="icon-right-big"></span>
			</span>
		</button>

		<button type="button" class="btn btn-secondary" data-method="move" data-option="0" data-second-option="-10" title="Move Up">
			<span class="docs-tooltip" data-toggle="tooltip" data-animation="false" title="$().cropper(&quot;move&quot;, 0, -10)">
				<span class="icon-up-big"></span>
			</span>
		</button>

		<button type="button" class="btn btn-secondary" data-method="move" data-option="0" data-second-option="10" title="Move Down">
			<span class="docs-tooltip" data-toggle="tooltip" data-animation="false" title="$().cropper(&quot;move&quot;, 0, 10)">
				<span class="icon-down-big"></span>
			</span>
		</button>

		<button type="button" class="btn btn-secondary" data-method="rotate" data-option="-15" title="Rotate Left">
			<span class="docs-tooltip" data-toggle="tooltip" data-animation="false" title="$().cropper(&quot;rotate&quot;, -45)">
				<span class="icon-ccw"></span>
			</span>
		</button>

		<button type="button" class="btn btn-secondary" data-method="rotate" data-option="15" title="Rotate Right">
			<span class="docs-tooltip" data-toggle="tooltip" data-animation="false" title="$().cropper(&quot;rotate&quot;, 45)">
				<span class="icon-cw"></span>
			</span>
		</button>

		<button type="button" class="btn btn-secondary" data-method="scaleX" data-option="-1" title="Flip Horizontal">
			<span class="docs-tooltip" data-toggle="tooltip" data-animation="false" title="$().cropper(&quot;scaleX&quot;, -1)">
				<span class="icon-resize-horizontal"></span>
			</span>
		</button>

		<button type="button" class="btn btn-secondary" data-method="scaleY" data-option="-1" title="Flip Vertical">
			<span class="docs-tooltip" data-toggle="tooltip" data-animation="false" title="$().cropper(&quot;scaleY&quot;, -1)">
				<span class="icon-resize-vertical"></span>
			</span>
		</button>

		<button type="button" class="btn btn-secondary" data-method="reset" title="Reset">
			<span class="docs-tooltip" data-toggle="tooltip" data-animation="false" title="$().cropper(&quot;reset&quot;)">
				<span class="icon-arrows-cw"></span>
			</span>
		</button>
		
		<button type="button" class="btn btn-success" data-method="getCroppedCanvas" data-option="{ &quot;width&quot;: 900, &quot;height&quot;: 600 }">
			<span class="docs-tooltip" data-toggle="tooltip" data-animation="false" title="$().cropper(&quot;getCroppedCanvas&quot;, { width: 900, height: 600 })"><?php echo LANG_SAVE; ?></span>
		</button>

	</div>

</div>
</div>

<?php } ?>
